//Test Comment
ORACLE_SERVICE_CLOUD.extension_loader.load('DATASUPPLIERAPP')
.then(function(IExtensionProvider)
	{
	IExtensionProvider.registerAnalyticsExtension(function(IAnalyticsContext)
		{
		IAnalyticsContext.addTableDataRequestListener('Package$Table', sampleDataSupplier);
		});
	});

function sampleDataSupplier(reportObject)
	{
	console.log("sampleDataSupplier function called!!");
	// Create an object for returning data.
	var reportData = reportObject.createReportData();
	// Create the first row.
	var reportRow1 = reportObject.createReportDataRow();
	// Create the second row.
	var reportRow2 = reportObject.createReportDataRow();
	// Create a column and set the data.
	var row1Col1 = reportObject.createReportDataCell();
	row1Col1.setData('row 1 col1 data');
	var row1Col2 = reportObject.createReportDataCell();
	row1Col2.setData('row 1 col2 data');
	var row2Col1 = reportObject.createReportDataCell();
	row2Col1.setData('row 2 col1 data');
	var row2Col2 = reportObject.createReportDataCell();
	row2Col2.setData('row 2 col2 data');
	// Create record information for the first row.
	var row1recordInfo = reportObject.createReportRecordInfo();
	row1recordInfo.setRecordType('Contact');
	row1recordInfo.setRecordId(52);
	// Create record information for the second row.
	var row2recordInfo = reportObject.createReportRecordInfo();
	row2recordInfo.setRecordType('Contact');
	row2recordInfo.setRecordId(53);
	// Associate the first row with columns.
	reportRow1.getCells().push(row1Col1);
	reportRow1.getCells().push(row1Col2);
	// Associate the second row with columns.
	reportRow2.getCells().push(row2Col1);
	reportRow2.getCells().push(row2Col2);
	// Associate the first row with getRecordInfo.
	reportRow1.getRecordInfoList().push(row1recordInfo);
	// Associate the second row with getRecordInfo.
	reportRow2.getRecordInfoList().push(row2recordInfo);
	// Associate rows with the data to be returned.
	reportData.getRows().push(reportRow1);
	reportData.getRows().push(reportRow2);
	return reportData;
}